org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfGenerator

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfGenerator

    public class RtfGenerator
    extends RtfElement

Represents a generator element which says who generated the RTF document.

### Field Summary

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Constructor Summary

Constructors
Constructor and Description
`RtfGenerator(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader h, Writer w)` Default constructor for the generator element.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`protected void` `writeRtfContent()` Must be implemented to write RTF content to m_writer

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RtfGenerator

    public RtfGenerator(org.apache.fop.render.rtf.rtflib.rtfdoc.RtfHeader h,
                        Writer w)
                 throws IOException

Default constructor for the generator element.

Parameters:
  `h` - a header
  `w` - a writer
Throws:
  `IOException` - if not caught

### Method Detail

#### writeRtfContent

    protected void writeRtfContent()
                            throws IOException

Must be implemented to write RTF content to m_writer

Specified by:
  `writeRtfContent` in class `RtfElement`
Throws:
  `IOException` - for I/O problems

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `RtfElement`
Returns:
  true if this element would generate no "useful" RTF content